PickedUserEvent (gCube Pick User Widget 1.0.0-SNAPSHOT API)
Date: 2014-10-02

org.gcube.portlets.widgets.pickitem.client.events

## Class PickedUserEvent

- java.lang.Object
- - com.google.web.bindery.event.shared.Event<H>
  - - com.google.gwt.event.shared.GwtEvent<PickedUserEventHandler>
    - - org.gcube.portlets.widgets.pickitem.client.events.PickedUserEvent

-     public class PickedUserEvent
      extends com.google.gwt.event.shared.GwtEvent<PickedUserEventHandler>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

      `com.google.gwt.event.shared.GwtEvent.Type<H>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static com.google.gwt.event.shared.GwtEvent.Type<PickedUserEventHandler>` | `TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PickedUserEvent(ItemBean user)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `dispatch(PickedUserEventHandler handler)`
    `com.google.gwt.event.shared.GwtEvent.Type<PickedUserEventHandler>` | `getAssociatedType()`
    `ItemBean` | `getSelectedUser()`

    - ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

      `assertLive, getSource, isLive, kill, revive`

    - ### Methods inherited from class com.google.web.bindery.event.shared.Event

      `setSource, toDebugString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TYPE

          public static com.google.gwt.event.shared.GwtEvent.Type<PickedUserEventHandler> TYPE

  - ### Constructor Detail

    - #### PickedUserEvent

          public PickedUserEvent(ItemBean user)

  - ### Method Detail

    - #### getSelectedUser

          public ItemBean getSelectedUser()

    - #### getAssociatedType

          public com.google.gwt.event.shared.GwtEvent.Type<PickedUserEventHandler> getAssociatedType()

      Overrides:
        `getAssociatedType` in class `com.google.gwt.event.shared.GwtEvent<PickedUserEventHandler>`

    - #### dispatch

          protected void dispatch(PickedUserEventHandler handler)

      Specified by:
        `dispatch` in class `com.google.gwt.event.shared.GwtEvent<PickedUserEventHandler>`

Copyright © 2014. All Rights Reserved.